@import "../../assets/utils";

@mixin input {
  border: 1px solid  #B4B4B4;
  border-radius: 4px;
  background: $color-secondary;
  padding: 4px 6px;
  width: 100%;
  font-size: 14px;
  font-weight: 400;
  line-height: 18px;
  color: rgba(51, 51, 51, 0.6);;
  display: flex;
  align-items: center;
  position: relative;
  cursor: text;

  transition: border-color .15s, color .15s;

  &:not(.isDisabled):not(.isReadonly) {
    &:hover,
    &.isFocused {
      border-color: #0E69AF;
      color: #333333;

      .sideButton {
        color: #0E69AF;
      }
    }
  }

  &.isDisabled {
    opacity: .5;
    cursor: not-allowed;
    pointer-events: mouseover;
    user-select: none;
    
    .field {
      cursor: not-allowed;
    }
  }

  &.isValid {
    border-color: $color-success;
    color: $color-success;
  }

  &.isInvalid {
    border-color: $color-warning;
    color: $color-warning;
  }

  &.isReadonly {
    border-style: dotted;
    user-select: none;
    opacity: .8;
  }

  &.hasAppearance {
    border-color: transparent;
    background: none;
  }
}

@mixin clearButton {
  color: #B4B4B4;
  margin-left: auto;
  &:not(:hover) {
    opacity: .6;
  }
}

@mixin before {
  color: rgba(51, 51, 51, 0.6);
  opacity: .4;
  margin-right: 8px;
}

@mixin after {
  color: rgba(51, 51, 51, 0.6);
  opacity: .4;
  margin-left: auto;

  + .sideButton {
    margin-left: 6px !important;
  }
}

@mixin field {
  flex-grow: 1;
  color: inherit;
  transition: color .15s;
  margin-right: 6px;
  width: 1%;
  &:valid {
    color: #333333;
  }
}